Get an insurer enrollee
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insurance_no": "<string>",
"status": "AA",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alternate_insurance_no": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"sex": "<string>",
"birthdate": "2023-12-25",
"status_effective_from": "2023-12-25",
"valid_until": "2023-12-25",
"plan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
},
"parent_enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_relationship": "<string>",
"staff_number": "<string>",
"primary_provider_code": "<string>",
"is_floating": true,
"verified_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}HMO insurance
Get an insurer enrollee
Permission: insurance.enrollees:read
Get one enrollee.
An enrollee of another insurer, an absent one and a restricted patient’s are the same 404.
GET
/
v1
/
clinics
/
{clinic_id}
/
insurance
/
enrollees
/
{enrollee_id}
Get an insurer enrollee
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/enrollees/{enrollee_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insurance_no": "<string>",
"status": "AA",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alternate_insurance_no": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"sex": "<string>",
"birthdate": "2023-12-25",
"status_effective_from": "2023-12-25",
"valid_until": "2023-12-25",
"plan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
},
"parent_enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_relationship": "<string>",
"staff_number": "<string>",
"primary_provider_code": "<string>",
"is_floating": true,
"verified_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK.
A person an insurer covers at this clinic, as the clinic holds them. insurance_no is the number an enrollee is verified by. Only enrollees of an insurer the clinic linked to your organization are returned. Verification metadata and the clinic's internal notes are never exposed.
Show child attributes
Show child attributes